LibOFX

Public Member Functions
OfxInv401kContainer Class Reference

A container to hold OFX SGML elements for <INV401K> More...

Inheritance diagram for OfxInv401kContainer:

## Public Member Functions
| OfxInv401kContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, std::string para_tag_identifier)
void | add_attribute (const std::string identifier, const std::string value)
| Add data to a container object. More...
Public Member Functions inherited from OfxGenericContainer
| OfxGenericContainer (LibofxContext *p_libofx_context)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer)
| OfxGenericContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, std::string para_tag_identifier)
virtual int | gen_event ()
| Generate libofx.h events. More...
virtual int | add_to_main_tree ()
| Add this container to the main tree. More...
OfxGenericContainer * | getparent ()
| Returns the parent container object (the one representing the containing OFX SGML element)

## Additional Inherited Members
Data Fields inherited from OfxGenericContainer
std::string | type
std::string | tag_identifier
OfxGenericContainer * | parentcontainer
LibofxContext * | libofx_context

## Detailed Description

A container to hold OFX SGML elements for <INV401K>

The OfxInv401kContainer is used for elements under <INV401K>

Definition at line 85 of file ofx_containers.hh.

## Member Function Documentation

## ◆ add_attribute()

void OfxInv401kContainer::add_attribute | ( | const std::string | identifier,
|  | const std::string | value
| ) |  |
| virtual

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters

  identifier | The name of the data element
  value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 211 of file ofx_containers_misc.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- ofx_containers_misc.cpp